Package org.apache.bcel.classfile

# Class MethodParameter

java.lang.Object
org.apache.bcel.classfile.MethodParameter

All Implemented Interfaces:
  `Cloneable`, `Node`

public class MethodParameter extends Object implements Cloneable, Node
Entry of the parameters table.

Implements `Node` as of 6.7.0.

Since:
  6.0
See Also:
  - The class File Format : The MethodParameters Attribute

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodParameter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  `MethodParameter`
  `copy()`
  `final void`
  `dump(DataOutputStream file)`
  Dumps object to file stream on binary format.
  `int`
  `getAccessFlags()`
  `int`
  `getNameIndex()`
  `String`
  `getParameterName(ConstantPool constantPool)`
  Gets the name of the parameter.
  `boolean`
  `isFinal()`
  `boolean`
  `isMandated()`
  `boolean`
  `isSynthetic()`
  `void`
  `setAccessFlags(int accessFlags)`
  `void`
  `setNameIndex(int nameIndex)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodParameter

    public MethodParameter()

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Specified by:
      `accept` in interface `Node`

  - ### copy

    public MethodParameter copy()
    Returns:
      deep copy of this object

  - ### dump

    public final void dump(DataOutputStream file) throws IOException
    Dumps object to file stream on binary format.
    Parameters:
      `file` - Output file stream
    Throws:
      `IOException` - if an I/O error occurs.

  - ### getAccessFlags

    public int getAccessFlags()

  - ### getNameIndex

    public int getNameIndex()

  - ### getParameterName

    public String getParameterName(ConstantPool constantPool)
    Gets the name of the parameter.
    Parameters:
      `constantPool` - The pool to query.
    Returns:
      Constant from the given pool.

  - ### isFinal

    public boolean isFinal()

  - ### isMandated

    public boolean isMandated()

  - ### isSynthetic

    public boolean isSynthetic()

  - ### setAccessFlags

    public void setAccessFlags(int accessFlags)

  - ### setNameIndex

    public void setNameIndex(int nameIndex)